# vispy.scene.widgets.console module

Fast and failsafe GL console

class vispy.scene.widgets.console.Console(text_color='black', font_size=12.0, **kwargs)

  Bases: `Widget`

  Fast and failsafe text console

  Parameters:
    text_color instance of Color

      Color to use.

    font_size float

      Point size to use.

  clear()

    Clear the console

  property font_size

    The font size (in points) of the text

  on_resize(event)

    Resize event handler

    Parameters:
      event instance of Event

        The event.

  property text_color

    The color of the text

  write(text='', wrap=True)

    Write text and scroll

    Parameters:
      text str

        Text to write. `''` can be used for a blank line, as a newline is automatically added to the end of each line.

      wrap str

        If True, long messages will be wrapped to span multiple lines.

class vispy.scene.widgets.console.ConsoleVisual(text_color, font_size, **kwargs)

  Bases: `Visual`

  clear()

    Clear the console

  property font_size

    The font size (in points) of the text

  property size
  property text_color

    The color of the text

  write(text='', wrap=True)

    Write text and scroll

    Parameters:
      text str

        Text to write. `''` can be used for a blank line, as a newline is automatically added to the end of each line.

      wrap str

        If True, long messages will be wrapped to span multiple lines.

previous

vispy.scene.widgets.colorbar module

next

vispy.scene.widgets.grid module